Name:		perl-parent
Epoch:		1
Version:	0.225
%define base_release .2
Release:	243%{?dist}%{?base_release}
Summary:	Establish an ISA relationship with base classes at compile time
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/parent/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CO/CORION/parent-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More) >= 0.4
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Allows you to both load one or more modules, while setting up inheritance
from those modules at the same time. Mostly similar in effect to:

	package Baz;

	BEGIN {
		require Foo;
		require Bar;

		push @ISA, qw(Foo Bar);
	}

%prep
%setup -q -n parent-%{version}

# Remove spurious exec permissions
chmod -c -x Changes lib/parent.pm

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes
%{perl_vendorlib}/parent.pm
%{_mandir}/man3/parent.3pm*

%changelog
* Thu Jun 27 2013 baseuser@ibm.com
- Base-8.x spec file
